## org.codehaus.groovy.grails.orm.hibernate.cfg
Interface GrailsDomainConfiguration

All Known Implementing Classes:
  DefaultGrailsDomainConfiguration, GrailsAnnotationConfiguration

    public interface GrailsDomainConfiguration

Since:
  04-Aug-2005
Author:
  Graeme Rocher

Method Summary
`GrailsDomainConfiguration` `addDomainClass(GrailsDomainClass domainClass)` Adds a domain class to the configuration
`void` `setGrailsApplication(GrailsApplication application)` Sets the grails application instance

Method Detail

### addDomainClass

    GrailsDomainConfiguration addDomainClass(GrailsDomainClass domainClass)

  Adds a domain class to the configuration

  Parameters:
    `domainClass` -
  Returns:
    this

### setGrailsApplication

    void setGrailsApplication(GrailsApplication application)

  Sets the grails application instance

  Parameters:
    `application` - The grails application to use or null if none.

Copyright (c) 2005-2009 The Grails project